NX Open C++ Reference Guide
|
Represents a Concave Faces builder. More...
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance. | |
NXOpen::NXColor * | AttributeColor () |
Returns the color to be applied to the face. | |
NXString | AttributeTitle () |
Returns the title if the face attribute. | |
NXString | AttributeValue () |
Returns the value of the face attribute title. | |
void | CalculatePointCurvature (NXOpen::Face *faceId, const NXOpen::Point3d &point, double *radius, double *minRadius, double *maxRadius) |
The radius values at the point selected on a targeted face, the maximum and minimum radius of the targeted face. | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::Direction * | DrawDirection () |
Returns the vector representing the draw direction. | |
NXOpen::ScCollector * | Faces () |
Returns the collection of all the possible faces. | |
double | GroupInterval () |
Returns the group interval value. | |
NXOpen::Expression * | Lower () |
Returns the lower limit of the maximum concave range. | |
bool | ReverseNormalDirection () |
Returns the reverse normal direction switch Created in NX8.5.0. | |
int | SamplePoints () |
Returns the number of sample points to apply to the analysis. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance. | |
void | SetAttributeColor (NXOpen::NXColor *attributeColor) |
Sets the color to be applied to the face. | |
void | SetAttributeTitle (const NXString &attributeTitle) |
Sets the title if the face attribute. | |
void | SetAttributeTitle (const char *attributeTitle) |
Sets the title if the face attribute. | |
void | SetAttributeValue (const NXString &attributeValue) |
Sets the value of the face attribute title. | |
void | SetAttributeValue (const char *attributeValue) |
Sets the value of the face attribute title. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetDrawDirection (NXOpen::Direction *drawDirection) |
Sets the vector representing the draw direction. | |
void | SetGroupInterval (double interval) |
Sets the group interval value. | |
void | SetReverseNormalDirection (bool reverseNormalDirection) |
Sets the reverse normal direction switch Created in NX8.5.0. | |
void | SetSamplePoints (int samplePoints) |
Sets the number of sample points to apply to the analysis. | |
void | SetUseSurfaceNormal (bool useSuraceNormal) |
Sets the surface normal vector toggle Created in NX8.5.0. | |
void | UpdateLocationLabel (bool edit, NXOpen::Point *point) |
The PMI as a location label created or edited at the point selected on a face. | |
void | UpdateRadiusFaces () |
The targeted faces updated according to the given radius range, number of sample point and group interval changing. | |
NXOpen::Expression * | Upper () |
Returns the upper limit of the maximum concave range. | |
bool | UseSurfaceNormal () |
Returns the surface normal vector toggle Created in NX8.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Concave Faces builder.
These are faces which are concave with respect to the draw direction and whose maximum radii is within the specified range.
To create a new instance of this class, use Features::FeatureCollection::CreateConcaveFacesBuilder
Default values.
Property | Value |
---|---|
Lower.Value |
3 (millimeters part), 0.118 (inches part) |
SamplePoints |
4 |
Upper.Value |
6 (millimeters part), 0.236 (inches part) |
Created in NX7.5.0.
double NXOpen::Features::ConcaveFacesBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance.
Created in NX7.5.0.
License requirements : None
NXOpen::NXColor* NXOpen::Features::ConcaveFacesBuilder::AttributeColor | ( | ) |
Returns the color to be applied to the face.
Created in NX7.5.0.
License requirements : None
NXString NXOpen::Features::ConcaveFacesBuilder::AttributeTitle | ( | ) |
Returns the title if the face attribute.
Created in NX7.5.0.
License requirements : None
NXString NXOpen::Features::ConcaveFacesBuilder::AttributeValue | ( | ) |
Returns the value of the face attribute title.
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::ConcaveFacesBuilder::CalculatePointCurvature | ( | NXOpen::Face * | faceId, |
const NXOpen::Point3d & | point, | ||
double * | radius, | ||
double * | minRadius, | ||
double * | maxRadius | ||
) |
The radius values at the point selected on a targeted face, the maximum and minimum radius of the targeted face.
Created in NX9.0.0.
License requirements : None
faceId | the targeted face |
point | the point selected on targeted face |
radius | the value at point selected |
minRadius | the minimum value of targeted face |
maxRadius | the maximum value of targeted face |
double NXOpen::Features::ConcaveFacesBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ConcaveFacesBuilder::DrawDirection | ( | ) |
Returns the vector representing the draw direction.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::ConcaveFacesBuilder::Faces | ( | ) |
Returns the collection of all the possible faces.
Created in NX7.5.0.
License requirements : None
double NXOpen::Features::ConcaveFacesBuilder::GroupInterval | ( | ) |
Returns the group interval value.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ConcaveFacesBuilder::Lower | ( | ) |
Returns the lower limit of the maximum concave range.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ConcaveFacesBuilder::ReverseNormalDirection | ( | ) |
Returns the reverse normal direction switch
Created in NX8.5.0.
License requirements : None
int NXOpen::Features::ConcaveFacesBuilder::SamplePoints | ( | ) |
Returns the number of sample points to apply to the analysis.
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::ConcaveFacesBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
angleTolerance | angletolerance |
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeColor | ( | NXOpen::NXColor * | attributeColor | ) |
Sets the color to be applied to the face.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
attributeColor | attributecolor |
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeTitle | ( | const NXString & | attributeTitle | ) |
Sets the title if the face attribute.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
attributeTitle | attributetitle |
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeTitle | ( | const char * | attributeTitle | ) |
Sets the title if the face attribute.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
attributeTitle | attributetitle |
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeValue | ( | const NXString & | attributeValue | ) |
Sets the value of the face attribute title.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
attributeValue | attributevalue |
void NXOpen::Features::ConcaveFacesBuilder::SetAttributeValue | ( | const char * | attributeValue | ) |
Sets the value of the face attribute title.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
attributeValue | attributevalue |
void NXOpen::Features::ConcaveFacesBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
distanceTolerance | distancetolerance |
void NXOpen::Features::ConcaveFacesBuilder::SetDrawDirection | ( | NXOpen::Direction * | drawDirection | ) |
Sets the vector representing the draw direction.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
drawDirection | drawdirection |
void NXOpen::Features::ConcaveFacesBuilder::SetGroupInterval | ( | double | interval | ) |
Sets the group interval value.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
interval | interval |
void NXOpen::Features::ConcaveFacesBuilder::SetReverseNormalDirection | ( | bool | reverseNormalDirection | ) |
Sets the reverse normal direction switch
Created in NX8.5.0.
License requirements : None
reverseNormalDirection | reversenormaldirection |
void NXOpen::Features::ConcaveFacesBuilder::SetSamplePoints | ( | int | samplePoints | ) |
Sets the number of sample points to apply to the analysis.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
samplePoints | samplepoints |
void NXOpen::Features::ConcaveFacesBuilder::SetUseSurfaceNormal | ( | bool | useSuraceNormal | ) |
Sets the surface normal vector toggle
Created in NX8.5.0.
License requirements : None
useSuraceNormal | usesuracenormal |
void NXOpen::Features::ConcaveFacesBuilder::UpdateLocationLabel | ( | bool | edit, |
NXOpen::Point * | point | ||
) |
The PMI as a location label created or edited at the point selected on a face.
Created in NX9.0.0.
License requirements : None
edit | If true edit PMI, false create PMI |
point | the point selected on targeted face |
void NXOpen::Features::ConcaveFacesBuilder::UpdateRadiusFaces | ( | ) |
The targeted faces updated according to the given radius range, number of sample point and group interval changing.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ConcaveFacesBuilder::Upper | ( | ) |
Returns the upper limit of the maximum concave range.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ConcaveFacesBuilder::UseSurfaceNormal | ( | ) |
Returns the surface normal vector toggle
Created in NX8.5.0.
License requirements : None